package cn.com.qmth.stmms.biz.mark.model;

import java.io.Serializable;
import java.util.ArrayList;
import java.util.List;

public class MarkStepDTO implements Serializable {

    private static final long serialVersionUID = 3542801746602688750L;

    private int groupNumber;

    private int mainNumber;

    private String subNumber;

    private String questionName;

    private double intervalScore;

    private double defaultScore;

    private String title;

    private Double score;

    private double maxScore;

    private double minScore;

    private boolean uncalculate;

    private Integer selectiveIndex;

    private boolean rejected;

    private List<TrackDTO> trackList = new ArrayList<TrackDTO>();

    private List<TrackDTO> headerTrack = new ArrayList<TrackDTO>();

    public int getMainNumber() {
        return mainNumber;
    }

    public void setMainNumber(int mainNumber) {
        this.mainNumber = mainNumber;
    }

    public String getSubNumber() {
        return subNumber;
    }

    public void setSubNumber(String subNumber) {
        this.subNumber = subNumber;
    }

    public double getIntervalScore() {
        return intervalScore;
    }

    public void setIntervalScore(double intervalScore) {
        this.intervalScore = intervalScore;
    }

    public double getMaxScore() {
        return maxScore;
    }

    public void setMaxScore(double maxScore) {
        this.maxScore = maxScore;
    }

    public double getMinScore() {
        return minScore;
    }

    public void setMinScore(double minScore) {
        this.minScore = minScore;
    }

    public double getDefaultScore() {
        return defaultScore;
    }

    public void setDefaultScore(double defaultScore) {
        this.defaultScore = defaultScore;
    }

    public String getTitle() {
        return title;
    }

    public void setTitle(String title) {
        this.title = title;
    }

    public List<TrackDTO> getTrackList() {
        return trackList;
    }

    public void setTrackList(List<TrackDTO> trackList) {
        this.trackList = trackList;
    }

    public void addTrack(TrackDTO track) {
        this.trackList.add(track);
    }

    public int getGroupNumber() {
        return groupNumber;
    }

    public void setGroupNumber(int groupNumber) {
        this.groupNumber = groupNumber;
    }

    public Double getScore() {
        return score;
    }

    public void setScore(Double score) {
        this.score = score;
    }

    public boolean isUncalculate() {
        return uncalculate;
    }

    public void setUncalculate(boolean uncalculate) {
        this.uncalculate = uncalculate;
    }

    public Integer getSelectiveIndex() {
        return selectiveIndex;
    }

    public void setSelectiveIndex(Integer selectiveIndex) {
        this.selectiveIndex = selectiveIndex;
    }

    public String getQuestionName() {
        return questionName;
    }

    public void setQuestionName(String questionName) {
        this.questionName = questionName;
    }

    public boolean isRejected() {
        return rejected;
    }

    public void setRejected(boolean rejected) {
        this.rejected = rejected;
    }

    public List<TrackDTO> getHeaderTrack() {
        return headerTrack;
    }

    public void setHeaderTrack(List<TrackDTO> headerTrack) {
        this.headerTrack = headerTrack;
    }

    public void addHeaderTrack(TrackDTO trackDTO) {
        this.headerTrack.add(trackDTO);
    }

}
